// ★コメント未記入
// ShitarabianPlugInTest.h: CShitarabianPlugInTest クラスのインターフェイス
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHITARABIANPLUGINTEST_H__CF340C81_4D44_469C_BBEB_2A68616E036C__INCLUDED_)
#define AFX_SHITARABIANPLUGINTEST_H__CF340C81_4D44_469C_BBEB_2A68616E036C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ShitarabianPlugIn.h"

class CShitarabianPlugInTest : public CShitarabianPlugIn  
{
public:
	CShitarabianPlugInTest();
	virtual ~CShitarabianPlugInTest();

	virtual const char*		GetPlugInName();

	virtual void		OnDrawWall(
		CDocumentIF*	pDocIF,
		CDC*			pDstDC,
		int				iLeft,
		int				iTop,
		int				iWidth,
		int				iHeight
	);
	virtual void		OnSetting(
		CDocumentIF*	pDoc
	);

protected:
	int			m_iGridWidth;
	int			m_iGridHeight;
	BOOL		m_bEnable;
	COLORREF	m_colGrid;
};

#endif // !defined(AFX_SHITARABIANPLUGINTEST_H__CF340C81_4D44_469C_BBEB_2A68616E036C__INCLUDED_)
